Name:		perl-RPM2
Version:	0.67
Release:	2%{?dist}
Summary:	Perl bindings for the RPM Package Manager API
License:	GPL or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/RPM2/
Source0:	http://search.cpan.org/CPAN/authors/id/C/CH/CHIPT/RPM2-%{version}.tar.gz
Patch0:		perl-RPM2-elf.patch
Patch1:		perl-RPM2-0.66-remove-rpmdb-redhat-dependency.patch
Patch2:		perl-RPM2-0.66-skip-root-tests.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:	rpm-devel elfutils-libelf-devel bzip2-devel perl(ExtUtils::MakeMaker)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
The RPM2 module provides an object-oriented interface to querying both the
installed RPM database as well as files on the filesystem, providing Perl
bindings for the RPM Package Manager API.

%prep
%setup -q -n RPM2-%{version} 
%patch0 -p1 -b .elf
%patch1 -p1 -b .remove-rpmdb-redhat-dependency
%patch2 -p1 -b .skip-root-tests

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
%{__make} %{?_smp_mflags}

%check
%{__make} test

%clean
%{__rm} -rf %{buildroot}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -type f -name '*.bs' -a -size 0 -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} 2>/dev/null ';'
%{__chmod} -R u+w %{buildroot}/*

%files
%defattr(-,root,root,-)
%doc Changes README
%{perl_vendorarch}/RPM2.pm
%{perl_vendorarch}/auto/RPM2/
%{_mandir}/man3/RPM2.3pm*

%changelog
* Mon May  7 2007 Robin Norwood <rnorwood@redhat.com> - 0.67-2
- Add BuildRequires perl(ExtUtils::MakeMaker)

* Wed Jan  3 2007 Paul Howarth <paul@city-fan.org> 0.67-1
- update to 0.67, which clarifies license
- dispense with redundant (for Fedora) reqs and buildreqs
- don't use autogenerated file lists, which can miss directory ownership
  (fixes #73921)

* Wed Mar 08 2006 Jason Vas Dias <jvdias@redhat.com> - 0.66-12
- fix bug 152535: correct Provides: file list
- make .spec file conform to fedora-rpmdevtools/spectemplate-perl.spec

* Fri Feb 03 2006 Jason Vas Dias <jvdias@redhat.com> - 0.66-11.1
- rebuild for new perl-5.8.8, gcc, glibc, rpm

* Thu Nov 10 2005 Tomas Mraz <tmraz@redhat.com> 0.66-11
- rebuilt against new openssl
- fixed filelist for compressed man page

* Wed Mar 30 2005 Warren Togami <wtogami@redhat.com>
- remove brp-compress

* Tue Mar 22 2005 Joe Orton <jorton@redhat.com> 0.66-9
- rebuild

* Sun Feb 13 2005 Florian La Roche <laroche@redhat.com>
- rebuild

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue Jan 13 2004 Dan Walsh <dwalsh@redhat.com> 0.45-6
- rebuilt to pick up new rpm

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Thu Nov 07 2002 Elliot Lee <sopwith@redhat.com> 0.45-2
- Rebuild

* Wed Sep  4 2002 Chip Turner <cturner@redhat.com>
- fix segfaults and destructor issues related to typing overlap in
  perl XS mappings

* Mon Aug 26 2002 Chip Turner <cturner@redhat.com>
- add -lelf temporarily

* Wed Aug 07 2002 cturner@redhat.com
- Specfile autogenerated

